
#if defined (MCU_PLATFORM_STM32)
   #define INTERRUPT_ROUTINE __attribute__ ((isr))
#else
   #define INTERRUPT_ROUTINE
#endif

#define FREEZE_HANDLER(handler) \
    void handler(void) \
    { while(1) asm("nop;\n"); }


//extern volatile int systemTicker;
//extern volatile hrtimer_t hrt_ticks;
int systicks=0;

#ifdef __cplusplus
extern "C"
{
#endif

   void NMI_Handler(void) INTERRUPT_ROUTINE;
   void HardFault_Handler(void) INTERRUPT_ROUTINE;
   void MemManage_Handler(void) INTERRUPT_ROUTINE;
   void BusFault_Handler(void) INTERRUPT_ROUTINE;
   void UsageFault_Handler(void) INTERRUPT_ROUTINE;
   void SVC_Handler(void) INTERRUPT_ROUTINE;
   void DebugMon_Handler(void) INTERRUPT_ROUTINE;
   void PendSV_Handler(void) INTERRUPT_ROUTINE;
   void SysTick_Handler(void) INTERRUPT_ROUTINE;

#ifdef __cplusplus
};
#endif

void keeperHandlerNano(void)
{
   return;
}


extern "C"
{
   /*
   FREEZE_HANDLER(WWDG_IRQHandler);
   FREEZE_HANDLER(UsageFault_Handler);
   //FREEZE_HANDLER(USART1_IRQHandler);
   //FREEZE_HANDLER(USART2_IRQHandler);
   //FREEZE_HANDLER(USART3_IRQHandler);
   FREEZE_HANDLER(UART4_IRQHandler);
   FREEZE_HANDLER(UART5_IRQHandler);
   FREEZE_HANDLER(USART6_IRQHandler);
   FREEZE_HANDLER(TIM8_UP_TIM13_IRQHandler);
   FREEZE_HANDLER(TIM8_TRG_COM_TIM14_IRQHandler);
   FREEZE_HANDLER(TIM8_CC_IRQHandler);
   FREEZE_HANDLER(TIM8_BRK_TIM12_IRQHandler);
   FREEZE_HANDLER(TIM7_IRQHandler);
   FREEZE_HANDLER(TIM6_DAC_IRQHandler);
   FREEZE_HANDLER(TIM5_IRQHandler);
   FREEZE_HANDLER(TIM4_IRQHandler);
   FREEZE_HANDLER(TIM3_IRQHandler);
   FREEZE_HANDLER(TIM2_IRQHandler);
   FREEZE_HANDLER(TIM1_UP_TIM10_IRQHandler);
   FREEZE_HANDLER(TIM1_TRG_COM_TIM11_IRQHandler);
   FREEZE_HANDLER(TIM1_CC_IRQHandler);
   FREEZE_HANDLER(TIM1_BRK_TIM9_IRQHandler);
   FREEZE_HANDLER(TAMP_STAMP_IRQHandler);
   FREEZE_HANDLER(SVC_Handler);
   FREEZE_HANDLER(SPI3_IRQHandler);
   */

   FREEZE_HANDLER(NMI_Handler);
   FREEZE_HANDLER(HardFault_Handler);
   FREEZE_HANDLER(MemManage_Handler);
   FREEZE_HANDLER(BusFault_Handler);
   FREEZE_HANDLER(UsageFault_Handler);
   FREEZE_HANDLER(SVC_Handler);
   FREEZE_HANDLER(DebugMon_Handler);
   FREEZE_HANDLER(PendSV_Handler);
   //FREEZE_HANDLER(SysTick_Handler);

   FREEZE_HANDLER(WWDG_IRQHandler);
   FREEZE_HANDLER(PVD_IRQHandler);
   FREEZE_HANDLER(TAMP_STAMP_IRQHandler);
   FREEZE_HANDLER(RTC_WKUP_IRQHandler);
   FREEZE_HANDLER(FLASH_IRQHandler);
   FREEZE_HANDLER(RCC_IRQHandler);
   FREEZE_HANDLER(EXTI0_IRQHandler);
   FREEZE_HANDLER(EXTI1_IRQHandler);
   FREEZE_HANDLER(EXTI2_IRQHandler);
   FREEZE_HANDLER(EXTI3_IRQHandler);
   FREEZE_HANDLER(EXTI4_IRQHandler);
   FREEZE_HANDLER(DMA1_Stream0_IRQHandler);
   FREEZE_HANDLER(DMA1_Stream1_IRQHandler);
   FREEZE_HANDLER(DMA1_Stream2_IRQHandler);
   FREEZE_HANDLER(DMA1_Stream3_IRQHandler);
   FREEZE_HANDLER(DMA1_Stream4_IRQHandler);
   FREEZE_HANDLER(DMA1_Stream5_IRQHandler);
   FREEZE_HANDLER(DMA1_Stream6_IRQHandler);
   FREEZE_HANDLER(ADC_IRQHandler);
   FREEZE_HANDLER(CAN1_TX_IRQHandler);
   FREEZE_HANDLER(CAN1_RX0_IRQHandler);
   FREEZE_HANDLER(CAN1_RX1_IRQHandler);
   FREEZE_HANDLER(CAN1_SCE_IRQHandler);
   FREEZE_HANDLER(EXTI9_5_IRQHandler);
   FREEZE_HANDLER(TIM1_BRK_TIM9_IRQHandler);
   FREEZE_HANDLER(TIM1_UP_TIM10_IRQHandler);
   FREEZE_HANDLER(TIM1_TRG_COM_TIM11_IRQHandler);
   FREEZE_HANDLER(TIM1_CC_IRQHandler);
   FREEZE_HANDLER(TIM2_IRQHandler);
   FREEZE_HANDLER(TIM3_IRQHandler);
   FREEZE_HANDLER(TIM4_IRQHandler);
   FREEZE_HANDLER(I2C1_EV_IRQHandler);
   FREEZE_HANDLER(I2C1_ER_IRQHandler);
   FREEZE_HANDLER(I2C2_EV_IRQHandler);
   FREEZE_HANDLER(I2C2_ER_IRQHandler);
   FREEZE_HANDLER(SPI1_IRQHandler);
   FREEZE_HANDLER(SPI2_IRQHandler);
   // FREEZE_HANDLER(USART1_IRQHandler);
   // FREEZE_HANDLER(USART2_IRQHandler);
   // FREEZE_HANDLER(USART3_IRQHandler);
   FREEZE_HANDLER(EXTI15_10_IRQHandler);
   FREEZE_HANDLER(RTC_Alarm_IRQHandler);
   FREEZE_HANDLER(OTG_FS_WKUP_IRQHandler);
   FREEZE_HANDLER(TIM8_BRK_TIM12_IRQHandler);
   FREEZE_HANDLER(TIM8_UP_TIM13_IRQHandler);
   FREEZE_HANDLER(TIM8_TRG_COM_TIM14_IRQHandler);
   FREEZE_HANDLER(TIM8_CC_IRQHandler);
   FREEZE_HANDLER(DMA1_Stream7_IRQHandler);
   FREEZE_HANDLER(FSMC_IRQHandler);
   FREEZE_HANDLER(SDIO_IRQHandler);
   FREEZE_HANDLER(TIM5_IRQHandler);
   FREEZE_HANDLER(SPI3_IRQHandler);
   FREEZE_HANDLER(UART4_IRQHandler);
   FREEZE_HANDLER(UART5_IRQHandler);
   FREEZE_HANDLER(TIM6_DAC1_IRQHandler);
   FREEZE_HANDLER(TIM7_IRQHandler);
   FREEZE_HANDLER(DMA2_Stream0_IRQHandler);
   FREEZE_HANDLER(DMA2_Stream1_IRQHandler);
   FREEZE_HANDLER(DMA2_Stream2_IRQHandler);
   FREEZE_HANDLER(DMA2_Stream3_IRQHandler);
   FREEZE_HANDLER(DMA2_Stream4_IRQHandler);
   FREEZE_HANDLER(ETH_IRQHandler);
   FREEZE_HANDLER(ETH_WKUP_IRQHandler);
   FREEZE_HANDLER(CAN2_TX_IRQHandler);
   FREEZE_HANDLER(CAN2_RX0_IRQHandler);
   FREEZE_HANDLER(CAN2_RX1_IRQHandler);
   FREEZE_HANDLER(CAN2_SCE_IRQHandler);
   FREEZE_HANDLER(OTG_FS_IRQHandler);
   FREEZE_HANDLER(DMA2_Stream5_IRQHandler);
   FREEZE_HANDLER(DMA2_Stream6_IRQHandler);
   FREEZE_HANDLER(DMA2_Stream7_IRQHandler);
   FREEZE_HANDLER(USART6_IRQHandler);
   FREEZE_HANDLER(I2C3_EV_IRQHandler);
   FREEZE_HANDLER(I2C3_ER_IRQHandler);
   FREEZE_HANDLER(OTG_HS_EP1_OUT_IRQHandler);
   FREEZE_HANDLER(OTG_HS_EP1_IN_IRQHandler);
   FREEZE_HANDLER(OTG_HS_WKUP_IRQHandler);
   FREEZE_HANDLER(OTG_HS_IRQHandler);
   FREEZE_HANDLER(DCMI_IRQHandler);
   FREEZE_HANDLER(HASH_RNG_IRQHandler);
   FREEZE_HANDLER(FPU_IRQHandler);

}


//---fin----------------------------------------------------------------------
